Index Page cyllat_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void cyllat_c ( SpiceDouble    r,
                       SpiceDouble    lonc,
                       SpiceDouble    z,
                       SpiceDouble *  radius,
                       SpiceDouble *  lon,
                       SpiceDouble *  lat )

#### Abstract

       Convert from cylindrical to latitudinal coordinates.

#### Required_Reading

       None.

#### Keywords

       CONVERSION,  COORDINATES

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       r          I   Distance of point from z axis.
       lonc       I   Cylindrical angle of point from XZ plane (radians).
       z          I   Height of point above XY plane.
       radius     O   Distance of point from origin.
       lon        O   Longitude of point (radians).
       lat        O   Latitude of point (radians).

#### Detailed_Input

       r          Distance of the input point from z axis.

       lonc       Cylindrical angle of the point from XZ plane (radians).

       z          Height of the point above XY plane.

#### Detailed_Output

       radius     Distance of the input point from origin.

       lon        Longitude (i.e. angle from the XZ plane) of the input
                  point (radians). `lon' is set equal to `lonc'.

       lat        Latitude (i.e. angle above the XY plane) of the input
                  point (radians). The range of `lat' is [-pi, pi].

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       This routine converts coordinates given in cylindrical
       coordinates to coordinates in latitudinal coordinates.

       Latitudinal coordinates are the same coordinates as use for
       the earth.  Latitude refers to angle above the equator, longitude
       to angle east from a meridian, and radius to the distance from
       an origin.

#### Examples

       Below are two tables:  The first is a set of input values
       the second is the result of the following sequence of
       calls to Spicelib routines.  Note all input and output angular
       quantities are in degrees.

           convrt_c ( lonc , "DEGREES", "RADIANS", lonc  );

           cyllat_c ( r, lonc , z, &radius, &lon, &lat   );

           convrt_c ( lon,  "RADIANS", "DEGREES", lon    );
           convrt_c ( lat,  "RADIANS", "DEGREES", lat    );

       Inputs:                         Results:

       r        lonc     z             radius   lon     lat
       ------   ------   ------        ------   ------   ------
       1.0000     0       0            1.0000     0        0
       1.0000    90.00    0            1.0000    90.00     0
       1.0000   180.00    1.000        1.4142   180.00    45.00
       1.0000   180.00   -1.000        1.4142   180.00   -45.00
       0.0000   180.00    1.000        1.0000   180.00    90.00
       0.0000    33.00    0            0.0000    33.00     0.00

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       E.D. Wright     (JPL)
       W.L. Taber      (JPL)

#### Version

       -CSPICE Version 1.1.1, 26-JUL-2016 (BVS)

          Minor headers edits.

       -CSPICE Version 1.1.0, 23-JUL-2001 (NJB)

          Removed tab characters from source file.

       -CSPICE Version 1.0.1, 08-FEB-1998 (EDW)

           Corrected and clarified header entries.  Removed return call.

       -CSPICE Version 1.0.0, 25-OCT-1997   (EDW)

#### Index_Entries

       cylindrical to latitudinal

#### Link to routine cyllat_c source file cyllat_c.c

    Wed Apr  5 17:54:30 2017